LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Structures | Typedefs | Enumerations | Functions
pangotext.h File Reference

Go to the source code of this file.

## Data Structures
struct | lives_subtitle_style_t
struct | lives_subtitle_t
struct | lives_subtitles_t

## Typedefs
typedef struct _lives_subtitle_t | xlives_subtitle_t

## Enumerations
enum | lives_subtitle_type_t { SUBTITLE_TYPE_NONE =0, SUBTITLE_TYPE_SRT, SUBTITLE_TYPE_SUB }
enum | lives_text_mode_t { LIVES_TEXT_MODE_FOREGROUND_ONLY, LIVES_TEXT_MODE_FOREGROUND_AND_BACKGROUND, LIVES_TEXT_MODE_BACKGROUND_ONLY }

## Functions
char ** | get_font_list (void)
weed_plant_t * | render_text_to_layer (weed_plant_t *layer, const char *text, const char *fontname, double size, lives_text_mode_t mode, lives_colRGBA32_t *fg_col, lives_colRGBA32_t *bg_col, boolean center, boolean rising, double top)
LingoLayout * | render_text_to_cr (lives_painter_t *, const char *text, const char *fontname, double size, lives_text_mode_t mode, lives_colRGBA32_t *fg_col, lives_colRGBA32_t *bg_col, boolean center, boolean rising, double top, int start, int width, int height)

## Typedef Documentation

typedef struct _lives_subtitle_t xlives_subtitle_t

## Enumeration Type Documentation

enum lives_subtitle_type_t

Enumerator
SUBTITLE_TYPE_NONE |
SUBTITLE_TYPE_SRT |
SUBTITLE_TYPE_SUB |

enum lives_text_mode_t

Enumerator
LIVES_TEXT_MODE_FOREGROUND_ONLY |
LIVES_TEXT_MODE_FOREGROUND_AND_BACKGROUND |
LIVES_TEXT_MODE_BACKGROUND_ONLY |

## Function Documentation

char** get_font_list | ( | void |  | ) |

LingoLayout* render_text_to_cr | ( | lives_painter_t * | ,
|  | const char * | text,
|  | const char * | fontname,
|  | double | size,
|  | lives_text_mode_t | mode,
|  | lives_colRGBA32_t * | fg_col,
|  | lives_colRGBA32_t * | bg_col,
|  | boolean | center,
|  | boolean | rising,
|  | double | top,
|  | int | start,
|  | int | width,
|  | int | height
| ) |  |

weed_plant_t* render_text_to_layer | ( | weed_plant_t * | layer,
|  | const char * | text,
|  | const char * | fontname,
|  | double | size,
|  | lives_text_mode_t | mode,
|  | lives_colRGBA32_t * | fg_col,
|  | lives_colRGBA32_t * | bg_col,
|  | boolean | center,
|  | boolean | rising,
|  | double | top
| ) |  |

< error occured